Ubuntu

[Dell Vostro 1015] When headphones are plugged in, the speaker does not get muted automatically.

Reported by Amit Sharma on 2009-11-07
112
This bug affects 20 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
Unassigned

Bug Description

Ubuntu Release: Ubuntu 9.10 amd64 architechture

Version of the package: 1.0.20+dfsg-1ubuntu5

My Dell Vostro 1015 came preinstalled with Intrepid and everything was working fine. When I upgraded to Karmic, the speakers does not mute when the headphones are plugged in. I do not see an option to mute it manually in alsamixer either.

ProblemType: Bug
AlsaDevices: Error: command ['ls', '-l', '/dev/snd/'] failed with exit code 2: ls: cannot access /dev/snd/: No such file or directory
AplayDevices: aplay: device_list:223: no soundcards found...
Architecture: amd64
ArecordDevices: arecord: device_list:223: no soundcards found...
CurrentDmesg:
 [ 15.514814] ppdev: user-space parallel port driver
 [ 15.523732] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
 [ 15.523736] Bluetooth: BNEP filters: protocol multicast
 [ 15.529446] Bridge firewalling registered
 [ 23.292539] eth1: no IPv6 routers present
Date: Sat Nov 7 09:29:08 2009
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
NonfreeKernelModules: wl
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron:
 LANG=en_IN
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: alsa-driver
Uname: Linux 2.6.31-14-generic x86_64
XsessionErrors:
 (gnome-settings-daemon:1743): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:1743): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:1845): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:1840): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed

Amit Sharma (amit4-sharma) wrote :
Changed in alsa-driver (Ubuntu):
status: New → Incomplete
Daniel T Chen (crimsun) wrote :

What's the output from "modinfo snd-hda-intel"?

Amit Sharma (amit4-sharma) wrote :
Download full text (4.4 KiB)

Hi Daniel,

Thanks for the response.I migrated to 32 bit - 9.10 version but still i m facing the same problem. Output of the modinfo snd-hda-intl is as below.

--
amit@amit-laptop:~$ modinfo snd-hda-intel
filename: /lib/modules/2.6.31-14-generic/kernel/sound/pci/hda/snd-hda-intel.ko
description: Intel HDA driver
license: GPL
srcversion: 0F82998EEBB9C629D81DBDA
alias: pci:v00001022d*sv*sd*bc04sc03i00*
alias: pci:v00001002d*sv*sd*bc04sc03i00*
alias: pci:v00001102d00000009sv*sd*bc*sc*i*
alias: pci:v00006549d00001200sv*sd*bc*sc*i*
alias: pci:v000010DEd00000D97sv*sd*bc*sc*i*
alias: pci:v000010DEd00000D96sv*sd*bc*sc*i*
alias: pci:v000010DEd00000D95sv*sd*bc*sc*i*
alias: pci:v000010DEd00000D94sv*sd*bc*sc*i*
alias: pci:v000010DEd00000AC3sv*sd*bc*sc*i*
alias: pci:v000010DEd00000AC2sv*sd*bc*sc*i*
alias: pci:v000010DEd00000AC1sv*sd*bc*sc*i*
alias: pci:v000010DEd00000AC0sv*sd*bc*sc*i*
alias: pci:v000010DEd000007FDsv*sd*bc*sc*i*
alias: pci:v000010DEd000007FCsv*sd*bc*sc*i*
alias: pci:v000010DEd00000777sv*sd*bc*sc*i*
alias: pci:v000010DEd00000776sv*sd*bc*sc*i*
alias: pci:v000010DEd00000775sv*sd*bc*sc*i*
alias: pci:v000010DEd00000774sv*sd*bc*sc*i*
alias: pci:v000010DEd0000055Dsv*sd*bc*sc*i*
alias: pci:v000010DEd0000055Csv*sd*bc*sc*i*
alias: pci:v000010DEd0000044Bsv*sd*bc*sc*i*
alias: pci:v000010DEd0000044Asv*sd*bc*sc*i*
alias: pci:v000010DEd000003F0sv*sd*bc*sc*i*
alias: pci:v000010DEd000003E4sv*sd*bc*sc*i*
alias: pci:v000010DEd00000371sv*sd*bc*sc*i*
alias: pci:v000010DEd0000026Csv*sd*bc*sc*i*
alias: pci:v000010B9d00005461sv*sd*bc*sc*i*
alias: pci:v00001039d00007502sv*sd*bc*sc*i*
alias: pci:v00001106d00003288sv*sd*bc*sc*i*
alias: pci:v00001002d0000AA48sv*sd*bc*sc*i*
alias: pci:v00001002d0000AA40sv*sd*bc*sc*i*
alias: pci:v00001002d0000AA38sv*sd*bc*sc*i*
alias: pci:v00001002d0000AA30sv*sd*bc*sc*i*
alias: pci:v00001002d0000AA28sv*sd*bc*sc*i*
alias: pci:v00001002d0000AA20sv*sd*bc*sc*i*
alias: pci:v00001002d0000AA18sv*sd*bc*sc*i*
alias: pci:v00001002d0000AA10sv*sd*bc*sc*i*
alias: pci:v00001002d0000AA08sv*sd*bc*sc*i*
alias: pci:v00001002d0000AA00sv*sd*bc*sc*i*
alias: pci:v00001002d0000970Fsv*sd*bc*sc*i*
alias: pci:v00001002d0000960Fsv*sd*bc*sc*i*
alias: pci:v00001002d00007919sv*sd*bc*sc*i*
alias: pci:v00001002d0000793Bsv*sd*bc*sc*i*
alias: pci:v00001002d00004383sv*sd*bc*sc*i*
alias: pci:v00001002d0000437Bsv*sd*bc*sc*i*
alias: pci:v00008086d0000811Bsv*sd*bc*sc*i*
alias: pci:v00008086d00003B56sv*sd*bc*sc*i*
alias: pci:v00008086d00003A6Esv*sd*bc*sc*i*
alias: pci:v00008086d00003A3Esv*sd*bc*sc*i*
alias: pci:v00008086d0000293Fsv*sd*bc*sc*i*
alias: pci:v00008086d0000293Esv*sd*bc*sc*i*
alias: pci:v00008086d00002911sv*sd*bc*sc*i*
alias: pci:v00008086d0000284Bsv*sd*bc*sc*i*
alias: ...

Read more...

Changed in alsa-driver (Ubuntu):
status: Incomplete → New

This doesn't seem to be the latest; you'd want to install
linux-backports-modules-alsa-karmic-generic and reboot.

Hi Daniel,
installed linux-backports-modules-alsa-karmic-generic and rebooted the system but still sound comes from headphones and speakers simulataneously...

sound information generated from one of the troubshoot guide
http://www.alsa-project.org/db/?f=19ba14f69566e519befb756ebbde7852c877302f

amit@amit-laptop:~$ head -n 1 /proc/asound/card0/codec*
Codec: Conexant ID 5067

amit@amit-laptop:~$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: HDA Generic [HDA Generic]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

i think my sound driver is not being used by the alsa as it is showing it using GENERIC driver.
and the driver Conexant is not even supported by ALSA
http://www.alsa-project.org/main/index.php/Matrix:Main

so how can i go about this ??
do i need to live with this problem or there is any hope..

thanks much
-Amit Sharma

Ah, yours is listed as a line-out:

Node 0x1b [Pin Complex] wcaps 0x400581: Stereo
  Pincap 0x00011334: IN OUT EAPD Detect
    Vref caps: HIZ 50 80
  EAPD 0x0:
  Pin Default 0x400001f0: [N/A] Line Out at Ext N/A
    Conn = Unknown, Color = Unknown
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x00: VREF_HIZ
  Unsolicited: tag=00, enabled=0
  Power: setting=D0, actual=D0
  Connection: 2
     0x10* 0x11

You'll need to hint hp_detect.

Hi Daniel,

how to set this value for the hint ?
do i need to modify some file in /sys/class/sound/hwC0D0

or is these any other way to do this ?

thanks
Amit

Yes, echo hp_detect=1 to /sys/class/sound/hwC0D0/hints, then echo 1 to
/sys/class/sound/hwC0D0/reconfig. Keep in mind that you must stop all
apps that are using the audio device before echoing the value to
reconfig, which likely means configuring PA not to autospawn then
killing other apps (see sudo fuser -v /dev/dsp* /dev/snd/* /dev/seq*).

Hi Daniel,

I updated as told...used below steps to do the same

1> Logged in with xterm
2>echo "hp_detect=1" | sudo tee /sys/class/sound/hwC0D0/hints
to insert value 1 in hints
3>echo "1" | sudo tee /sys/class/sound/hwC0D0/reconfig
to insert value in reconfig.
logged in to Gnome
still sound in both speaker as well as headphones.

-Amit

On Sun, Nov 8, 2009 at 6:07 AM, Amit Sharma <email address hidden> wrote:
> 1> Logged in with xterm

You can't have anything grabbing the sound device, which probably
means that you want to do this from runlevel S/1.

Hi Daniel,

we tried upating files through level S/1. used below commands

echo "hp_detect=1" | sudo tee /sys/class/sound/hwC0D0/hints
output : hp_detect = 1
confirmed same through cat

echo "1" | sudo tee /sys/class/sound/hwC0D0/reconfig
output : 1

when tried cat on this files got permission denied after doing chmod 777 on same we were able to read but we got something like Input Output error.

after rebooting tested for the issue, same problem.

-Amit

On Thu, Nov 12, 2009 at 10:51 AM, Amit Sharma <email address hidden> wrote:
> when tried cat on this files got permission denied after doing chmod 777
> on same we were able to read but we got something like Input Output
> error.

Right, don't chmod stuff in /sysfs.

> after rebooting tested for the issue, same problem.

If you reboot, you lose whatever you've echoed to sysfs.

Please repeat, but attach the output from dmesg|tail after you've
echoed 1 to reconfig.

okay, i did the procedure again from level s/1,
here is the output of dmesg|tail

[ 12.152833] type=1505 audit(1258167798.653:16): operation="profile_replace" pid=1029 name=/usr/bin/evince
[ 12.163463] type=1505 audit(1258167798.663:17): operation="profile_replace" pid=1029 name=/usr/bin/evince-previewer
[ 12.169707] type=1505 audit(1258167798.663:18): operation="profile_replace" pid=1029 name=/usr/bin/evince-thumbnailer
[ 12.178572] type=1505 audit(1258167798.673:19): operation="profile_replace" pid=1031 name=/usr/lib/cups/backend/cups-pdf
[ 12.179362] type=1505 audit(1258167798.673:20): operation="profile_replace" pid=1031 name=/usr/sbin/cupsd
[ 12.181712] type=1505 audit(1258167798.683:21): operation="profile_replace" pid=1032 name=/usr/sbin/tcpdump
[ 14.209670] r8169: eth0: link down
[ 14.209909] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 25.120210] eth1: no IPv6 routers present
[ 139.710388] ALSA hda_hwdep.c:181: hda-codec: reconfiguring

thanks much
-Amit Sharma

LProf (lprofne) wrote :

I have the same laptop, same problem. Friends help to correct it.

Janos Zsitvai (zsitvaij) wrote :

I have the same laptop. Installing newer alsa-drivers or the headphone hint do not help. A workaround is the following:

I. install hda-verb.
1. wget http://ftp.kernel.org/pub/linux/kernel/people/tiwai/misc/hda-verb/hda-verb-0.3.tar.gz
2. cd hda-verb-0.3
3. make
4. sudo cp hda-verb /usr/local/bin

II. install this script: http://hup.pastebin.com/f5ac554d4
1. sudo wget "http://hup.pastebin.com/pastebin.php?dl=f5ac554d4" -O /usr/local/bin/hp-toggle.sh
2. sudo chmod +x /usr/local/bin/hp-toggle.sh

Running 'sudo hp-toggle.sh' from console mutes the active sound output and switches to the other. If both are active, the speakers are muted. This is not exactly the same as found at http://digitizor.com/2009/10/22/fix-headphone-sound-problem-hp-laptop-linux/ but based on it, since that doesn't work with this card.

Optional convenience steps:
III. create icon on desktop with the command "gksudo hp-toggle.sh", drag in onto a panel if you like.

IV. don't require a password for switching outputs.
1. sudo visudo
2. add line: %admin ALL=NOPASSWD:/usr/local/bin/hp-toggle.sh
3. save.

Janos Zsitvai (zsitvaij) wrote :

(continued)

Forgot to add step I.1.5: tar -xzvf hda-verb-0.3.tar.gz

Amit Sharma (amit4-sharma) wrote :

a big thanks man....
it worked beautifully for me.....
untill Ubuntu fix it , this is the solution recommended ..

Thanks a lot.
Cheers...

Janos Zsitvai (zsitvaij) wrote :

Someone was kind enough to write a patch already: http://mailman.alsa-project.org/pipermail/alsa-devel/2009-November/023390.html

It needs the bits related to sound/pci/hda/hda_codec.c and sound/pci/hda/hda_local.h from http://mailman.alsa-project.org/pipermail/alsa-devel/2009-November/023277.html as those patches haven't been merged yet.

I've tested this on kernel 2.6.32-rc7 and I can confirm that it works correctly now.

Amit Sharma (amit4-sharma) wrote :

thanks for info..
can you please guide me how to install the mentioned patch..

Thanks in advance
-Amit Sharma

LProf (lprofne) wrote :

Janos Zsitvai Thank you very much. I join the request to tell how to install the patch. Thanks in advance!

Janos Zsitvai (zsitvaij) wrote :

It would be best to wait for the maintainer, but if you're feeling adventurous:
(based on https://wiki.ubuntu.com/PbuilderHowto)
Open a terminal and execute the following:

1. sudo aptitude install pbuilder debootstrap devscripts
2. sudo pbuilder create --debootstrapopts --variant=buildd
3. mkdir ~/src

save the three attached patches to ~/src

4. cd ~/src
5. apt-get source linux-backports-modules-alsa-2.6.31-14-generic
6. cd linux-backports-modules-2.6.31-2.6.31/updates/alsa-driver/alsa-kernel/pci/hda/
7. patch -p4 < ~/src/conexant-rc8.patch
8. patch -p4 < ~/src/hda-jack-detect.patch
9. patch -p4 < ~/src/vostro-1015.patch
10. cd ~/src/linux-backports-modules-2.6.31-2.6.31
11. pdebuild

This will take a fairly long time.

If everything went correctly, you should now have /var/cache/pbuilder/result/linux-backports-modules-alsa-2.6.31-14-generic_2.6.31-14.16_amd64.deb (or _i386.deb or similar), which you can install with gdebi-gtk. Reboot, and you're done.

LProf (lprofne) wrote :

Unfortunately I have not worked with a script version

lprof@nos:~/hda-verb-0.3$ sudo hp-toggle.sh
/usr/local/bin/hp-toggle.sh: 6: Syntax error: "fi" unexpected (expecting "then")

and apply the patch I also could not
can lay out your deb package?

Janos Zsitvai (zsitvaij) wrote :

That doesn't seem right. Could you download the script again? I'm attaching it here.

LProf (lprofne) wrote :

many thanks, this script works

LProf (lprofne) wrote :

I noticed another unpleasant feature, when picked up the volume above 70% begins to sound very distorted and it seems this script is not correct. In contrast windows sound surprisingly good

Janos Zsitvai (zsitvaij) wrote :

I took the liberty of uploading the patched packages to https://launchpad.net/~zsitvaij/+archive/ppa-zsitvaij .

Until the fix is incorporated properly, you can add that PPA to your software sources and get working sound. (Or just download the .deb you need.)

LProf (lprofne) wrote :

Janos Zsitvai Thank you for everything you do. I added your sources, but do not know what to do next?

Janos Zsitvai (zsitvaij) wrote :

Have you installed linux-backports-modules-alsa-karmic-generic? That should pull in the correct package. After that, reboot.

LProf (lprofne) wrote :

Странно. Я добавил ваши источники но в synaptic не вижу вашего пакета alsa backports

LProf (lprofne) wrote :

Sorry, forgot about the language =) "It's strange. I loved your sources in synaptic but I do not see your package alsa backports"

LProf (lprofne) wrote :

attempt to Number 3 =D (Never use a translator from google!)
It's strange. I added your sources, but in synaptic I do not see your package alsa backports.

LProf (lprofne) wrote :

Found, install, but did not help. Sound still comes from the speakers and headphones at the same time

Janos Zsitvai (zsitvaij) wrote :

Okay, let's try something more basic.

If you run 64 bits (amd64), download and install this, then reboot: https://launchpad.net/~zsitvaij/+archive/ppa-zsitvaij/+files/linux-backports-modules-alsa-2.6.31-14-generic_2.6.31-14.17_amd64.deb

For 32 bits (i386): https://launchpad.net/~zsitvaij/+archive/ppa-zsitvaij/+files/linux-backports-modules-alsa-2.6.31-14-generic_2.6.31-14.17_i386.deb

Simply download then run with double click, then choose install or reinstall. (Or upgrade. You get the idea.)

LProf (lprofne) wrote :

I have already understood with ppa, your alsa package does not help. Sound still comes from the speakers and headphones simultaneously

Janos Zsitvai (zsitvaij) wrote :

Open a terminal and copy and paste the following: modinfo snd_hda_codec_conexant

Please copy the output here.

Janos Zsitvai (zsitvaij) wrote :

Better yet, this is how it should look:

filename: /lib/modules/2.6.31-14-generic/updates/alsa/snd-hda-codec-conexant.ko
description: Conexant HD-audio codec
license: GPL
alias: snd-hda-codec-id:14f15067
alias: snd-hda-codec-id:14f15066
alias: snd-hda-codec-id:14f15051
alias: snd-hda-codec-id:14f15047
alias: snd-hda-codec-id:14f15045
srcversion: A5AC94ADF38C7D4C2A7B824
depends: snd-hda-codec,snd
vermagic: 2.6.31-14-generic SMP mod_unload modversions

LProf (lprofne) wrote :

filename: /lib/modules/2.6.31-15-generic/kernel/sound/pci/hda/snd-hda-codec-conexant.ko
description: Conexant HD-audio codec
license: GPL
alias: snd-hda-codec-id:14f15051
alias: snd-hda-codec-id:14f15047
alias: snd-hda-codec-id:14f15045
srcversion: 03068B2706D869EE3FCC420
depends: snd-hda-codec,snd
vermagic: 2.6.31-15-generic SMP mod_unload modversions 586

Janos Zsitvai (zsitvaij) wrote :

Right, you have the proposed updates repository enabled I assume. The package I built is for kernel 2.6.31-14, you've got 2.6.31-15.

Janos Zsitvai (zsitvaij) on 2009-11-26
Changed in alsa-driver (Ubuntu):
status: New → Fix Committed
25 comments hidden view all 105 comments
Janos Zsitvai (zsitvaij) wrote :

Actually, b.) has been updated already. If you follow the instructions in the first post there, you'll get the latest ALSA.

jamorod (javier-ecam) wrote :

Yes! It has been updated and now the sound works perfectly well! Thank you!

jamorod (javier-ecam) wrote :

I did an update yesterday and for some reason, the Alsa driver was taken back to an old version: alsa-driver-1.0.18.1 instead of alsa-driver-1.0.22.1

I'm updating it again according to the instructions above, but I wonder if it is going to happen again!

Janos Zsitvai (zsitvaij) wrote :

It probably will. I'm guessing there was a kernel update that broke ABI, in which case you need to recompile the drivers you installed outside the packaging system.

Janos Zsitvai (zsitvaij) wrote :

linux-backports-modules-alsa-2.6.31-20-generic is now in karmic-updates, fixing this bug.

Changed in alsa-driver (Ubuntu):
status: Fix Committed → Fix Released
NoOp (glgxg) wrote :

Same issue (sound on both speakers and headphones) on an HP G60-530US Notebook.

$ uname -a
2.6.31-20-generic #57-Ubuntu SMP Mon Feb 8 09:02:26 UTC 2010 x86_64 GNU/Linux

$ sudo head -n 1 /proc/asound/card0/codec*
[sudo] password for gg:
==> /proc/asound/card0/codec#0 <==
Codec: Conexant CX20583 (Pebble HSF)

==> /proc/asound/card0/codec#2 <==
Codec: Intel G45 DEVCTG

$ modinfo snd_hda_codec_conexant
filename: /lib/modules/2.6.31-20-generic/updates/alsa/snd-hda-codec-conexant.ko
description: Conexant HD-audio codec
license: GPL
alias: snd-hda-codec-id:14f15067
alias: snd-hda-codec-id:14f15066
alias: snd-hda-codec-id:14f15051
alias: snd-hda-codec-id:14f15047
alias: snd-hda-codec-id:14f15045
srcversion: A5AC94ADF38C7D4C2A7B824
depends: snd-hda-codec,snd
vermagic: 2.6.31-20-generic SMP mod_unload modversions

$ cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.22.1.
Compiled on Feb 8 2010 for kernel 2.6.31-20-generic (SMP).

$ apt-cache policy linux-backports-modules-karmic-generic
linux-backports-modules-karmic-generic:
  Installed: 2.6.31.20.33
  Candidate: 2.6.31.20.33
  Version table:
 *** 2.6.31.20.33 0
        500 http://archive.ubuntu.com karmic-updates/main Packages
        500 http://archive.ubuntu.com karmic-proposed/main Packages
        100 /var/lib/dpkg/status
     2.6.31.19.32 0
        500 http://archive.ubuntu.com karmic-security/main Packages
     2.6.31.14.27 0
        500 http://archive.ubuntu.com karmic/main Packages

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: Conexant Digital [Conexant Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 3: INTEL HDMI 0 [INTEL HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

*-multimedia
             description: Audio device
             product: 82801I (ICH9 Family) HD Audio Controller
             vendor: Intel Corporation
             physical id: 1b
             bus info: pci@0000:00:1b.0
             version: 03
             width: 64 bits
             clock: 33MHz
             capabilities: pm msi pciexpress bus_master cap_list
             configuration: driver=HDA Intel latency=0
             resources: irq:22 memory:d4700000-d4703fff

Daniel T Chen (crimsun) wrote :

NoOp, remove linux-backports-modules-alsa* and install linux-alsa-driver-modules-2.6.31-19-generic from ppa:ubuntu-audio-dev.

NoOp (glgxg) wrote :

Done. Same status (both play). I notice that I have fewer choices again in gnome-alsamixer. Let me know what added info/output you'd like to see.

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: HDA Generic [HDA Generic]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 3: INTEL HDMI [INTEL HDMI]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
$ cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.20

NoOp (glgxg) wrote :

Sorry, forgot to add:
$ apt-cache policy linux-alsa-driver-modules-2.6.31-19-generic
linux-alsa-driver-modules-2.6.31-19-generic:
  Installed: 2.6.31-19.201003040600
  Candidate: 2.6.31-19.201003040600
  Version table:
 *** 2.6.31-19.201003040600 0
        500 http://ppa.launchpad.net karmic/main Packages
        100 /var/lib/dpkg/status

NoOp (glgxg) wrote :

Not sure if this will be of help or not; attaching the output of alsa-info script from:
http://www.alsa-project.org/alsa-info.sh

Janos Zsitvai (zsitvaij) wrote :

NoOp, the ppa:ubuntu-audio-dev hasn't yet been updated for kernel 2.6.31-20, you should try booting with 2.6.31-19.

> NoOp, the ppa:ubuntu-audio-dev hasn't yet been updated for kernel
> 2.6.31-20, you should try booting with 2.6.31-19.
>

OK. Did that. No change with the exception that I now have the
additional 'Mic' (B,C,E,F) and IEC958 settings in gnome-alsamixer.

@Janos: please reset the status to something other than 'Fixed Released'. As you can see from the above the "fix" does not work. Happy to help troubleshoot, but the problem still exists.

Janos Zsitvai (zsitvaij) wrote :

@NoOp: I thought anyone was able to edit the status of a bug, since I'm just a user myself. I can set it to 'Incomplete' or 'In progress', I guess.

For solving your issue, I think you'd be better served by posting it to the alsa-devel mailing list with an alsa-info attached that was generated under 2.6.31-19 with the PPA drivers. (The ALSA developers don't tend to look at their own bugtracker, much less Launchpad, but they're responsive to reports they receive on the list.) The URL is http://mailman.alsa-project.org/mailman/listinfo/alsa-devel

Changed in alsa-driver (Ubuntu):
status: Fix Released → In Progress
LProf (lprofne) wrote :

 I updated to 2.6.31.20-generic and I have all continued to operate normally. I used the repository of Janos Zsitvai

NoOp (glgxg) wrote :

@Daniel: should I also try the libpulse0 et al from the ppa:ubuntu-audio-dev? Any other info/details that I can provide to assist in resolving this?

@Janos: Thanks for changing the status back. I was unaware that are a 'user' as well & thought that you'd changed the status due to an 'official' fix.

@LProf: what does this mean? Does it mean that all is working well for you using Janos' ppa, without any other changes to your system? Or, did you also make any other changes suggested in this bug report? If so, which version:
<http://ppa.launchpad.net/zsitvaij/ppa-zsitvaij/ubuntu/pool/main/l/linux-backports-modules-2.6.31/>

Janos Zsitvai (zsitvaij) wrote :

@NoOp: In my PPA, I pulled in a couple of patches from the ALSA mailing list to make the sound on my Vostro 1015 work, and the author of those patches has the same model as well. Those patches were integrated into the 1.0.22.1 release of ALSA, which in turn has been integrated into linux-backports-modules-alsa-2.6.31-20, rendering my PPA obsolete. (This is what I believe LProf meant to say, and why I marked this bug fixed.)

And yes, merely installing it was enough to make my sound work. Others needed to add the workaround in #54, because their model and make were different. This could possibly help you, but since your card seems to be correctly recognized as the 'Conexant CX20583 (Pebble HSF)' already, I don't know if it will really help.

The package from ppa:ubuntu-audio-dev is updated daily with as of yet unreleased code from the ALSA developers, so that is what you should use if your sound still does not work.

There's another, manual workaround in #15-16, which hopefully works with your model as well. Daniel's suggestion in #8 might help as well.

sebaestn (sebaestn) wrote :

I can confirm, that the problem of non-muting speakers is resolved installing the linux-backports-modules-alsa-2.6.31-20-generic from the backports repository on my vostro 1015.

However on my computer, the quality of recorded sound (no matter internal or external mic) is terrible. It sounds like the mic is in saturation but I set all levels to the lowest non-zero value. Does anybody of you encounter such problems, too?

Download full text (3.7 KiB)

On 03/18/2010 02:47 AM, sebaestn wrote:
> I can confirm, that the problem of non-muting speakers is resolved
> installing the linux-backports-modules-alsa-2.6.31-20-generic from the
> backports repository on my vostro 1015.
>
> However on my computer, the quality of recorded sound (no matter
> internal or external mic) is terrible. It sounds like the mic is in
> saturation but I set all levels to the lowest non-zero value. Does
> anybody of you encounter such problems, too?
>

Still doesn't work on my HP G60-530US. Also today tried the ppa modules:
<http://ppa.launchpad.net/ubuntu-audio-dev/ppa/ubuntu/pool/main/l/linux-alsa-driver-modules-2.6.31/?C=M;O=D>
[linux-alsa-driver-modules-2.6.31-20-generic_2.6.31-20.201003180600_amd64.deb
18-Mar-2010 13:57 1.6M]
and no change. Still getting the sound from both headphones & speakers.
Note: I made sure to also update all of the other pulseaudio modules
from the ppa as well:

Commit Log for Thu Mar 18 10:40:20 2010

Installed the following packages:
linux-alsa-driver-modules-2.6.31-20-generic (2.6.31-20.201003180600)
Removed the following packages:
pulseaudio-module-rygel-media-server
pulseaudio-module-rygel-media-server-dbg
pulseaudio-module-udev
pulseaudio-module-udev-dbg

Upgraded the following packages:
libpulse-browse0 (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
libpulse-mainloop-glib0 (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
libpulse0 (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
pulseaudio (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
pulseaudio-dbg (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
pulseaudio-esound-compat (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
pulseaudio-esound-compat-dbg (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
pulseaudio-module-bluetooth (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
pulseaudio-module-bluetooth-dbg (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
pulseaudio-module-gconf (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
pulseaudio-module-gconf-dbg (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
pulseaudio-module-lirc (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
pulseaudio-module-lirc-dbg (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
pulseaudio-module-raop (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
pulseaudio-module-raop-dbg (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
pulseaudio-module-x11 (1:0.9.19-0ubuntu4.1) to
1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu11~~karmic~ubuntuaudiodev1
pulseaudio-m...

Read more...

This is getting beyond papercut/embarrassing... the Ubuntu users mailing list is full of similar issues, and seemingly more in just this past month. Samples:
<http://comments.gmane.org/gmane.linux.ubuntu.user/212682>
<http://comments.gmane.org/gmane.linux.ubuntu.user/207975>
<http://comments.gmane.org/gmane.linux.ubuntu.user/211541>
<http://comments.gmane.org/gmane.linux.ubuntu.user/203670>

Daniel T Chan seems to have gone missing/walkabout since his suggestion in comment #72.

Attempting workarounds and/or trying lucid (fully updated) seems not to work.
Some posters on this bug report have managed to get lucky... but the rest of us seem to have to resort to Windows to use standard earbud headphones. If I load up gnome-alsamixer in lucid (or karmic) with a standard desktop AD1985 I have 15 options on the main menu to select from; I also have 'Headphone jack Sense', 'Surround jack Mode', 'Line jack Sense', etc., etc. With the same on hardy, karmic, lucid and my laptop I have a total of the following with the 'Conexant ID 5067':
Master, PCM, Mic, Mic 1, Mute, and 2 'Rec' boxes.

Backports and/or PPA's should not be necessary. *Please* fix this issue.

Changed in alsa-driver (Ubuntu):
status: In Progress → Confirmed
Brad Figg (brad-figg) wrote :

@NoOp

The problem here is that these are not the same bug. It's directly related to the hardware and all the comments you pointed at are each different laptops and probably different hardware. These have to be handled on a case by case basis and lumping them all into the same bug is not helpful.

Brad Figg (brad-figg) wrote :

@NoOp

The reason we ask that upstream kernels and the backports modules or other packages be installed is to help determine if the issue is with just the kernel Ubuntu is shipping or is a problem that has not been seen and fixed by upstream.

Daniel T Chen (crimsun) wrote :

I haven't gone missing, and this is by no means the highest priority bug in my queue. Please understand that you are perfectly capable of submitting patches for enablement, too.

Brad Figg (brad-figg) on 2010-03-26
tags: added: speakers-not-muted
Simon Ruggier (simon80) wrote :

The backports package from karmic-updates worked for me, but only after setting the model parameter to dell-vostro. Is there any additional information needed to autodetect the Vostro 1220, or has that already been taken care of in the upstream branch?

Brad Figg (brad-figg) on 2010-03-31
tags: added: karmic
Amit Sharma (amit4-sharma) wrote :

hi all,
i upgraded to Lucid this morning, This problem came again after this upgrade. Do i need to do something else to fix the issue in latest release.
-amit

You should be able to use linux-alsa-driver-modules-$(uname -r) from
ppa:ubuntu-audio-dev, too.

Been there, still doing that. No change from my previous comments - still does not work.

NoOp, do you have a separate bug report with current alsa-info.sh output pasted?

i was able to fix the using installing linux headers for the curren version using sudo apt-get install linux-headers-$(uname -r)

, before that installed linux-backports-modules-alsa-karmic-generic

it's working well...now..
thanks...

On 04/30/2010 09:04 PM, Daniel T Chen wrote:
> NoOp, do you have a separate bug report with current alsa-info.sh output
> pasted?
>

No. Previous was:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/477154/comments/75

and pasted there. I can do this again, but not until Monday/Tuesday.
However, is the information in that output not useful?

NoOp (glgxg) wrote :

On 04/30/2010 10:37 PM, NoOp wrote:
> On 04/30/2010 09:04 PM, Daniel T Chen wrote:
>> NoOp, do you have a separate bug report with current alsa-info.sh output
>> pasted?
>>
>
> No. Previous was:
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/477154/comments/75
>
> and pasted there. I can do this again, but not until Monday/Tuesday.
> However, is the information in that output not useful?
>

Modifying /etc/modprobe.d/alsa-base.conf to
options snd-hda-intel model="olpc-xo-1_5"
per
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/573284
works. Unfortunately the internal mic no longer works, so I'll subscribe
to 573284.

hi to all. got a dell vostro 1015 with running Ubuntu 10.04 with linux 2.6.32-22-generic kernel and got exactly the same problem. from which point do i start to solve this? which/whose solution to consider? thanx!

Daniel T Chen (crimsun) wrote :

srl, please start by filing a separate bug using "ubuntu-bug alsa-base".

Janos Zsitvai (zsitvaij) wrote :

Does a new bug really need to be filed? I've upgraded to Lucid on my 1015 as well, and installing linux-backports-modules-alsa-lucid-generic fixed it, like in Karmic.

Daniel T Chen (crimsun) wrote :

Janos, I'm willing to bet that srl's audio hardware (controller+codec) doesn't match yours. Because we're dealing with hardware interaction through Linux, we need separate bugs.

srl (seresls) wrote :

I am bit new at this topic, and confused as well. So should I consider reply #23 with the vostro patch from Janos to make things work?

Janos Zsitvai (zsitvaij) wrote :

@srl: No, you should file a separate bug as Daniel said. He's on the Ubuntu audio developer team.

@Daniel: Upon reflection, it is quite possible that laptops under the same product name but manufactured six months apart might have different parts. Definitely not my first thought, though.

srl (seresls) wrote :

hi! just installed linux-backports-modules-alsa-lucid-generic and works perfectly! :) Thx for the hint Janos! :) (köszi:))

Craig Harding (craigwharding) wrote :

I have a vostro 1220 with lucid (Ubuntu 10.04) and installing linux-backports-modules-alsa-lucid-generic worked. Thanks.

Gary M (garym) on 2010-10-29
tags: added: hda-jack-sense
David Henningsson (diwic) wrote :

Hi!

From what I can tell, this is fixed for Vostro 1015 in the latest testing release of Ubuntu 11.10. If you have a Vostro 1015 and it does not work in Ubuntu Oneiric 11.10, feel free to reopen this bug. If you have different hardware not working under Ubuntu 11.10, please file a new bug using the 'ubuntu-bug audio' command in 11.10. Thanks!

summary: - When headphones are plugged in, the speaker does not get muted
- automatically.
+ [Dell Vostro 1015] When headphones are plugged in, the speaker does not
+ get muted automatically.
Changed in alsa-driver (Ubuntu):
status: Confirmed → Fix Released
Displaying first 40 and last 40 comments. View all 105 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers